-------------------------------------------------------------------------------------
-- | Namespace Definitions |---------------------------------------------------------
-------------------------------------------------------------------------------------

-- Retrieve the addon name and the namespace table.
local addon, npcg = ...

local functua 	= npcg.functua

-------------------------------------------------------------------------------------
-- | Constants | --------------------------------------------------------------------
-------------------------------------------------------------------------------------

local MINIMIZE_TRAITS = { "Race", "Tribe", "Gender", "Age", "Alignment", "Faith", "Class", "Feature", "Motivations" }

-------------------------------------------------------------------------------------
-- | Events |------------------------------------------------------------------------
-------------------------------------------------------------------------------------

-- On Load function
function NpcTemplate_OnLoad(self)
  self.Minimize = function(self)
    functua.list.forEach(
      function(trait)
        self[trait]:Hide()
      end,
      MINIMIZE_TRAITS)
  end
  
  self.Maximize = function(self)
    functua.list.forEach(
      function(trait)
        self[trait]:Show()
      end,
      MINIMIZE_TRAITS)
  end
end